Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 301706 - app-arch/gzip < 1.4: stack overflow (CVE-2010-0001)
Summary: app-arch/gzip < 1.4: stack overflow (CVE-2010-0001)
Status: RESOLVED DUPLICATE of bug 300943
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Runpath Issues (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: http://savannah.gnu.org/forum/forum.p...
Whiteboard:
Keywords:
: 301826 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-01-21 12:23 UTC by Hanno Böck
Modified: 2010-01-24 00:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno Böck gentoo-dev 2010-01-21 12:23:55 UTC
gzip 1.4 release notes from
http://savannah.gnu.org/forum/forum.php?forum_id=6153
gzip -d could segfault and/or clobber the stack, possibly leading to arbitrary code execution.  This affects x86_64 but not 32-bit systems. This fixes CVE-2010-0001. For more details, see http://bugzilla.redhat.com/554418
Comment 1 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-01-21 13:15:09 UTC

*** This bug has been marked as a duplicate of bug 300943 ***
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-01-24 00:06:32 UTC
*** Bug 301826 has been marked as a duplicate of this bug. ***
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-01-24 00:07:16 UTC
*** Bug 301826 has been marked as a duplicate of this bug. ***